#include <bits/stdc++.h>

using namespace std;
int main()
{
    int n,x;
    cin >> n >> x;
    int niz[n];
    cin >> niz[0];
    int maks = niz[0];
    int mini = niz[0];
    for(int i=1; i<n; i++)
    {
        cin >> niz[i];
        if(niz[i]>maks)
        {
            maks = niz[i];
        }
        if(niz[i]<mini)
        {
            mini = niz[i];
        }
    }
    long long int k = x - mini;
    if(k<0){
        k=-k;
    }
    long long int l = maks - x;
    if(l<0){
        l = -l;
    }
    if(x<mini){
        cout << l << endl;
        return 0;
    }
    if(x>maks){
        cout << k << endl;
        return 0;
    }
    if(k>l)
    {
        cout << l*2 + k << endl;
    }
    else
    {
        cout << k*2 + l << endl;
    }

    return 0;
}